import { SHJDatasourceV2 as s } from "../../datasource/index.mjs";
import { DataSourceUtils as i } from "../../datasource/utils/utils.mjs";
import { EventUtils as n } from "../utils/utils.mjs";
const m = (o) => {
  const { refreshVariableAction: t } = o, r = i.getVariableData(), a = r.find((e) => e.id === t.name || e.name === t.name);
  a && s.parse({
    sources: [a.sources],
    isStore: !1,
    noUseMapping: !0,
    tId: a.id,
    callback: (e) => {
      a._value = e, i.setVariableData(r), n.updateWidgetVariableData(a);
    }
  });
};
export {
  m as executeRefreshVariableAction
};
